spring:
    profiles:
        active: locp
    cache:
        type: redis
    redis:
        lettuce:
            pool:
                max-active: 10
                max-idle: 10
                min-idle: 2
        host: localhost
        port: 6379
        password: 

logging:
    config: classpath:log/logback-locp.xml
    
domain:
    admin: //lpadmin.wivismall.com
    wivis: //lpfront.wivismall.com
    image: //image.wivismall.com/speedy_image-wivismall
    uximage: //lpfront.wivismall.com

upload:
    default:
        target.path: /WIDE/workspace/files/data
        max.size: 10
        allow.extension: jpg|gif|jpeg|png|bmp|txt|doc|docx|ppt|pptx|xls|xlsx|hwp|pdf
        view: //image.wivismall.com/speedy_image-wivismall
    goods:
        target.path: /WIDE/workspace/files/data
        max.size: 10
        allow.extension: jpg|gif|jpeg|png
        view: //image.wivismall.com/speedy_image-wivismall/goods
    image:
        target.path: /WIDE/workspace/files/data
        max.size: 10
        allow.extension: jpg|gif|jpeg|png
        view: //image.wivismall.com/speedy_image-wivismall
    excel:
        target.path: /WIDE/workspace/files/data
        max.size: 10
        allow.extension: xls|xlsx
        view: //locp.image.wivismall.com/data/excel
    sample:
        target.path: /WIDE/workspace/files/data
        max.size: 10
        allow.extension: txt|doc|docx|ppt|pptx|xls|xlsx|hwp|pdf
        view: //locp.image.wivismall.com/data/sample

download.path: /WIDE/workspace/files/data

# SMTP(naver의 본인 username과 password, from(메일주소) 입려 후 테스트 하면 됨)
mail:
    host: mail.wivis.com
#    port: 465
    username: admin@wivis.com
    password: dnlqltm1!
    protocol: smtp
#    tls: true
    auth: true
    from: admin@wivis.com
    wivis.url: //lpfront.wivismall.com
    image.url: //lpfront.wivismall.com/image/mailing
    template.path: /WIDE/workspace/webapps/wivis/wivismall.admin/src/main/webapp/WEB-INF/mail
# 사방넷 API
sabangnet:
    xml:
        path: /WIDE/workspace/webapps/wivis/wivismall.admin/src/main/webapp/sabangnet
        url: http://112.172.147.34:88

# PG
pg:
    nicepay:
        merchantId: wivismallm
        merchantKey: pXTdML8rIaOVCeXQQsyRp1uCfTSTT/n80BV4LCqa+/yJM64MYIqeBCIQdH1rKhJRwSOsdCxVPa1V6hRxkkdJxg==
        cancelPwd: wivis@2020
        log.path: /WIDE/workspace/logs/wivis
        account.cert.url: https://webapi.nicepay.co.kr/api/checkBankAccountAPI.jsp
        vbank.refund.url: https://webapi.nicepay.co.kr/v2/api/merchant/vbank_refund.jsp

